## org.omg.CORBA
Class INTERNALHelper

    java.lang.Object
      |
      +--org.omg.CORBA.INTERNALHelper

public class INTERNALHelper
extends java.lang.Object

Helper class for : INTERNAL

Author:
  OpenORB Compiler

Constructor Summary
`INTERNALHelper()`

Method Summary
`static INTERNAL` `extract(Any a)` Extract INTERNAL from an any
`static java.lang.String` `id()` Return the INTERNAL IDL ID
`static void` `insert(Any a, INTERNAL t)` Insert INTERNAL into an any
`static INTERNAL` `read(InputStream istream)` Read INTERNAL from a marshalled stream
`static TypeCode` `type()` Return the INTERNAL TypeCode
`static void` `write(OutputStream ostream, INTERNAL value)` Write INTERNAL into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### INTERNALHelper

    public INTERNALHelper()

Method Detail

### insert

    public static void insert(Any a,
                              INTERNAL t)

  Insert INTERNAL into an any
  Parameters:
    `a` - an any
    `t` - INTERNAL value

### extract

    public static INTERNAL extract(Any a)

  Extract INTERNAL from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted INTERNAL value

### type

    public static TypeCode type()

  Return the INTERNAL TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the INTERNAL IDL ID
  Returns:
    an ID

### read

    public static INTERNAL read(InputStream istream)

  Read INTERNAL from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed INTERNAL value

### write

    public static void write(OutputStream ostream,
                             INTERNAL value)

  Write INTERNAL into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - INTERNAL value